## lecm 0.0.9

=== requirements.txt ===
acme-tiny
PrettyTable
pyOpenSSL
PyYAML
requests

## lecm 0.0.5

=== debian/changelog ===
lecm (0.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #840641)

 -- Sebastien Badia <seb@sebian.fr>  Fri, 21 Oct 2016 19:39:11 +0200

=== debian/control ===
Source: lecm
Section: utils
Priority: optional
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Sebastien Badia <seb@sebian.fr>
Build-Depends: acme-tiny,
               debhelper (>= 10),
               dh-python,
               pandoc,
               python3-all,
               python3-flake8,
               python3-openssl,
               python3-prettytable,
               python3-requests,
               python3-setuptools,
               python3-yaml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/lecm.git
Vcs-Git: https://anonscm.debian.org/git/letsencrypt/lecm.git
Homepage: https://github.com/Spredzy/lecm
X-Python3-Version: >= 3.3

Package: lecm
Architecture: all
Depends: acme-tiny,
         python3-openssl,
         python3-prettytable,
         python3-requests,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Description: Let's Encrypt Certificate Manager
 Let's Encrypt Certificates Manager (lecm) is an utility that allows one to
 manage (generate and renew) Let's Encrypt SSL certificates.
 .
 lecm can be placed in a cron to automatically renew lecm's managed
 certificates according to a threshold; during the renewal operations
 lecm is also able to restart the web server.
 .
 lecm take a yaml style configuration (default to /etc/lecm.conf),parameter can
 be declared for all managed certificates or individually.

## lecm 0.0.7

=== debian/changelog ===
lecm (0.0.7-3) unstable; urgency=medium

  * d/control:
    + Bump to Standards-Version 4.4.0 (no changes needed)
    + Switch to debhelper-compat and level 12
    + Added Rules-Requires-Root

 -- Sebastien Badia <sbadia@debian.org>  Sun, 29 Sep 2019 12:36:01 +0200

lecm (0.0.7-2) unstable; urgency=medium

  * d/compat: Bump compat version to 11
  * d/control:
    + Update Maintainer email address (Closes: #899891)
    + Use salsa.debian.org in Vcs-* fields
    + Bump to Standards-Version 4.1.4 (no changes needed)
    + Remove X-Python3-Version field
  * d/copyright: Update copyright years and use HTTPS for URI
  * d/upstream: Added Upstream metadata
  * d/gbp: Update old-syle config

 -- Sebastien Badia <sbadia@debian.org>  Sat, 26 May 2018 19:27:57 +0200

lecm (0.0.7-1) unstable; urgency=medium

  * New upstream version 0.0.7

 -- Sebastien Badia <sbadia@debian.org>  Sun, 20 Nov 2016 22:53:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lecm
 Section: utils
 Priority: optional
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
-Uploaders: Sebastien Badia <seb@sebian.fr>
+Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
+Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: acme-tiny,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                dh-python,
                pandoc,
                python3-all,
@@ -14,11 +14,11 @@
                python3-requests,
                python3-setuptools,
                python3-yaml
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/lecm.git
-Vcs-Git: https://anonscm.debian.org/git/letsencrypt/lecm.git
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/letsencrypt-team/lecm
+Vcs-Git: https://salsa.debian.org/letsencrypt-team/lecm.git
 Homepage: https://github.com/Spredzy/lecm
-X-Python3-Version: >= 3.3
 
 Package: lecm
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lecm

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_installman:
	pandoc -s -t man $(CURDIR)/man/lecm.md -o $(CURDIR)/debian/lecm.1
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	[ ! -d lecm.egg-info ] || rm -r lecm.egg-info
	[ ! -f debian/lecm.1 ] || rm debian/lecm.1

## lecm 0.0.9

=== debian/changelog ===
lecm (0.0.9-1) unstable; urgency=medium

  * New upstream version 0.0.9
  * d/watch: Bump watch-file-standard
  * d/control:
    + Bump debhelper compat to 13
    + Bump Standards-Versions to 4.5.1 (no changes)
    + Fix lintian odd-mark-in-description
  * d/upstream: Fix lintian missing-bug-tracking

 -- Sebastien Badia <sbadia@debian.org>  Tue, 26 Jan 2021 16:40:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: acme-tiny,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                pandoc,
                python3-all,
@@ -14,7 +14,7 @@
                python3-requests,
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/lecm
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/lecm.git
@@ -37,5 +37,5 @@
  certificates according to a threshold; during the renewal operations
  lecm is also able to restart the web server.
  .
- lecm take a yaml style configuration (default to /etc/lecm.conf),parameter can
- be declared for all managed certificates or individually.
+ lecm take a yaml style configuration (default to /etc/lecm.conf), parameter
+ can be declared for all managed certificates or individually.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lecm-$1\.tar\.gz/ \
  https://github.com/Spredzy/lecm/tags .*/v?(\d\S*)\.tar\.gz
